Bug 11184 - Can't connect to remote ESD server
Can't connect to remote ESD server
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mpg123 (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-02 16:04 EDT by Avi Alkalay
Modified: 2014-03-16 22:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-02 16:04:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Alkalay 2000-05-02 16:04:24 EDT
Even using the parameter -E or --esd, mpg123 will not connect to a remote
server.

Making

$ strace mpg123 file.mp3 --esd 10.10.10.10

you'll see this:

connect(3, {sin_family=AF_INET, sin_port=htons(16001),
sin_addr=inet_addr("0.0.0.0")}}, 16) = -1 ECONNREFUSED (Connection refused)

The 0.0.0.0 IP shows that mpg123 is not getting the correct IP address from
the command line, which is 10.10.10.10.

Another inconsistency:
Running mpg123 without parameters it says -E is used for equalization.
Running mpg123 --longhelp, it says -E and --esd is the same thing.
The same parameter (-E) has different meanings?

Thank you,
Avi
Comment 1 Bill Nottingham 2000-06-10 15:11:17 EDT
Should be fixed in mpg123-0.59r-7.
Thanks for the bug report!

Note You need to log in before you can comment on or make changes to this bug.